## neutron-fwaas 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

eventlet>=0.17.4
httplib2>=0.7.5
netaddr!=0.7.16,>=0.7.12
SQLAlchemy<1.1.0,>=0.9.9
alembic>=0.8.0
six>=1.9.0
oslo.config>=2.3.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-fwaas (1:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 16:39:58 -0400

neutron-fwaas (1:7.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 11:21:31 -0400

neutron-fwaas (1:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:51:00 -0400

neutron-fwaas (1:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 13:56:07 -0400

neutron-fwaas (1:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:00:23 -0400

neutron-fwaas (1:7.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Fix override_dh_auto_clean rule and remove .eggs directory.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 14:13:01 -0400

neutron-fwaas (1:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 11:19:43 +0100

neutron-fwaas (1:7.0.0~b1-0ubuntu2) wily; urgency=medium

  * Switch neutron-common -> python-neutron as BD for testing.
  * Ignore broken dependency generation for oslo.messaging_ for older
    dh-python versions.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 13:30:12 +0100

neutron-fwaas (1:7.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2015 09:49:12 +0100

neutron-fwaas (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Apr 2015 17:40:32 +0200

neutron-fwaas (2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * d/control: Declare a Breaks/Replaces on neutron-common as this package
    has taken ownership of /etc/neutron/fwaas_driver.ini (LP: #1446592). 

 -- James Page <james.page@ubuntu.com>  Tue, 21 Apr 2015 13:06:15 +0100

neutron-fwaas (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align version requirement with upstream. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Apr 2015 09:38:51 -0400

neutron-fwaas (2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align version requirement with upstream, add new dependency
      on oslo-log.
  * Enable unit test suite execution:
    - d/control: Switch BD on python-neutron -> neutron-common.
    - d/rules: Enable execution of unit tests.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:19:40 +0100

neutron-fwaas (2015.1~b2-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/control: Update/align dependencies with upstream.
    - d/rules: Don't drop fwaas_driver.ini from install, as now
      provided from this package.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Feb 2015 14:11:17 +0000

neutron-fwaas (2015.1~b1-0ubuntu2) vivid; urgency=medium

  * d/control: Add missing ${python:Depends} to binary package depends.
  * d/copyright: Update reference for Format field.
  * d/rules: Minor cleanup for test suite execution.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Jan 2015 10:02:16 +0000

neutron-fwaas (2015.1~b1-0ubuntu1) vivid; urgency=medium

  * Initial release for OpenStack Kilo-1 milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Jan 2015 10:11:07 +0000

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:7.0.0~b1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: http://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Depends: alembic (>= 0.8.0),
         python-eventlet (>= 0.17.4),
         python-httplib2 (>= 0.7.5),
         python-netaddr (>= 0.7.12),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Replaces: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Firewall-as-a-Service driver for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	# NOTE: scrub usr/etc folder from install.
	rm -rf debian/python-neutron-fwaas/usr/etc
	dh_install

override_dh_fixperms:
	find debian/python-neutron-fwaas -name __init__.py -exec chmod a-x {} \;
	dh_fixperms

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit neutron_fwaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	rm -rf .testrepository
	dh_auto_clean

## neutron-fwaas 7.1.1

=== debian/changelog ===
neutron-fwaas (1:7.1.1-0ubuntu1) wily; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1594867).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 21 Jun 2016 15:03:56 -0400

neutron-fwaas (1:7.0.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <ddv@canonical.com>  Wed, 13 Apr 2016 11:14:55 -0400

## neutron-fwaas 7.1.2

=== requirements.txt ===
--- 
+++ 
@@ -12,10 +12,10 @@
 oslo.config>=2.3.0 # Apache-2.0
 oslo.db>=2.4.1 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 
 # This project does depend on neutron as a library, but the
 # openstack tooling does not play nicely with projects that

=== debian/changelog ===
neutron-fwaas (1:7.1.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1619452).

 -- David Della Vecchia <ddv@canonical.com>  Mon, 05 Sep 2016 07:06:05 -0400

neutron-fwaas (1:7.1.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jun 2016 21:34:42 +0000

## neutron-fwaas 8.0.0

=== debian/changelog ===
neutron-fwaas (1:8.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Set min python-neutron BD to 2:8.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 15:55:05 -0400

neutron-fwaas (1:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 09:40:30 -0400

neutron-fwaas (1:8.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2016 14:47:35 -0500

neutron-fwaas (1:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Generate config files with generate_config_file_samples.sh.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jan 2016 10:19:42 +0100

neutron-fwaas (1:8.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 10:24:06 -0500

=== debian/control ===
--- 
+++ 
@@ -11,26 +11,27 @@
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.8.0),
                      python-coverage (>= 3.6),
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-httplib2 (>= 0.7.5),
                      python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
-                     python-neutron (>= 2:7.0.0~b1),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-neutron (>= 2:8.0.0),
+                     python-neutron-lib (>= 0.0.1),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-requests-mock (>= 0.6.0),
+                     python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
@@ -45,18 +46,19 @@
 Package: python-neutron-fwaas
 Architecture: all
 Depends: alembic (>= 0.8.0),
-         python-eventlet (>= 0.17.4),
+         python-eventlet (>= 0.18.2),
          python-httplib2 (>= 0.7.5),
          python-netaddr (>= 0.7.12),
-         python-oslo.config (>= 1:2.3.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
+         python-neutron-lib (>= 0.0.1),
+         python-oslo.config (>= 1:3.7.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          ${misc:Depends},
          ${python:Depends},
 Breaks: neutron-common (<< 1:2015.1~b2-0ubuntu1~),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-fwaas neutron-fwaas-(\d.*)\.tar\.gz

## neutron-fwaas 8.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.0 # MIT
six>=1.9.0 # MIT
neutron-lib>=0.0.1 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-fwaas (1:8.2.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable point release for OpenStack Mitaka (LP: #1619318).
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 27 Sep 2016 08:23:41 -0400

neutron-fwaas (1:8.1.0-0ubuntu0.16.04.2) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Mitaka (LP: #1580674).

  [ Corey Bryant ]
  * d/changelog: Change package version to 1:8.1.0-0ubuntu0.16.04.1 in order
    to not conflict with yakkety version 1:8.1.0-0ubuntu1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 May 2016 08:06:39 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                      python-netaddr (>= 0.7.12),
                      python-neutron (>= 2:8.0.0),
                      python-neutron-lib (>= 0.0.1),
-                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.concurrency (>= 3.7.1),
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.log (>= 1.14.0),

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 	dh $@ --with python2 --buildsystem=python_distutils
 
 override_dh_install:
+	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
+	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
 	# NOTE: scrub usr/etc folder from install.
 	rm -rf debian/python-neutron-fwaas/usr/etc
 	dh_install

## neutron-fwaas 9.0.0~b3

=== debian/changelog ===
neutron-fwaas (1:9.0.0~b3-1+42~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 20 Sep 2016 18:19:18 +0000

neutron-fwaas (1:9.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * debian/python-neutron-fwaas.install: remove usr/bin/*, as there's now no
    binary there anymore.
  * Remove the neutron-fwaas-l3-agent init script, as this package is now just
    a plugin. Make the neutron-fwaas-l3-agent package a transition package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 14:29:06 +0200

neutron-fwaas (1:9.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using HTTPS URL for upstream git.
  * Black list cisco unit test that is failing:
    *test_cisco_fwaas_plugin.TestCiscoFirewallPlugin.test_update_csr_firewall*

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 13:48:56 +0200

neutron-fwaas (1:9.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also package what's in /usr/bin/*.
  * Standards-Version is now 3.9.8 (no change).
  * Fixed debian/copyright ordering.
  * Added a neutron-fwaas-common package holding config files, preparing the
    Py3 transition.
  * Added a neutron-fwaas-l3-agent, holding the init script.
  * Renames $(CURDIR)/debian/python-neutron-fwaas/usr/bin/neutron-l3-agent as
    neutron-fwaas-l3-agent.
  * Added Conflicts: neutron-l3-agent.
  * Fixed useable default config values for fwaas_driver.ini.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jun 2016 09:30:07 +0200

neutron-fwaas (1:8.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Now generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 23:08:05 +0200

neutron-fwaas (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 09:25:53 +0000

neutron-fwaas (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Sep 2015 09:13:47 +0200

neutron-fwaas (2015.1.0-4) unstable; urgency=medium

  * Also package Alembic migrations (Closes: #792590).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 09:01:58 +0000

neutron-fwaas (2015.1.0-3) unstable; urgency=medium

  * Allow running with SQLAlchemy 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:59:03 +0000

neutron-fwaas (2015.1.0-2) unstable; urgency=medium

  * Added --fail-missing for dh_install to avoid possible mistakes.
  * Packaging usr/etc/neutron/fwaas_driver.ini in /etc/neutron.
  * Removed the neutron-fwaas-agent package alltogether, as in fact, there's no
    specific agent. This source package is only a new lib for the l3 agent.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Jun 2015 16:00:26 +0200

neutron-fwaas (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2015 16:48:00 +0000

neutron-fwaas (2015.1~rc2-1) unstable; urgency=medium

  * Initial release. (Closes: #783590)

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2015 01:13:07 +0100

=== debian/control ===
Source: neutron-fwaas
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-httplib2,
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0~b3),
                     python-neutron-lib (>= 0.4.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-fwaas
Vcs-Git: https://git.openstack.org/openstack/deb-neutron-fwaas
Homepage: https://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-eventlet (>= 0.18.4),
         python-httplib2,
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutron (>= 2:9.0.0~b3),
         python-neutron-lib (>= 0.4.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Provides: ${python:Provides},
Description: OpenStack Firewall as a Service - Python 2.7 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library for the Firewall as a Service agent.

Package: neutron-fwaas-common
Architecture: all
Depends: neutron-common,
         python-neutron-fwaas (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: python-neutron-fwaas (<< 1:9.0.0~),
Replaces: python-neutron-fwaas (<< 1:9.0.0~),
Description: OpenStack Firewall as a Service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains common files for the Neutron load balancer.

Package: neutron-fwaas-l3-agent
Architecture: all
Conflicts: neutron-l3-agent,
Depends: neutron-fwaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack Firewall as a Service - transitional dummy package
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package is a transitional dummy package for the FWaaS l3 agent.

## neutron-fwaas 9.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -7,16 +7,16 @@
 httplib2>=0.7.5 # MIT
 netaddr!=0.7.16,>=0.7.12 # BSD
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
-alembic>=0.8.0 # MIT
+alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT
-neutron-lib>=0.0.1 # Apache-2.0
-oslo.config>=3.7.0 # Apache-2.0
-oslo.db>=4.1.0 # Apache-2.0
+neutron-lib>=0.4.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.messaging>=4.0.0 # Apache-2.0
+oslo.messaging>=5.2.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.service>=1.0.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.service>=1.10.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 
 # This project does depend on neutron as a library, but the
 # openstack tooling does not play nicely with projects that

=== debian/changelog ===
neutron-fwaas (1:9.0.0~rc1-1+45~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 05 Oct 2016 14:09:54 +0000

neutron-fwaas (1:9.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * debian/python-neutron-fwaas.install: remove usr/bin/*, as there's now no
    binary there anymore.
  * Remove the neutron-fwaas-l3-agent init script, as this package is now just
    a plugin. Make the neutron-fwaas-l3-agent package a transition package.
  * d/s/options: extend-diff-ignore of .gitreview and egg-info
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 14:29:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               dh-systemd,
                openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
@@ -30,7 +31,7 @@
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
                      python-requests-mock (>= 1.0),
@@ -44,8 +45,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-fwaas
-Vcs-Git: https://git.openstack.org/openstack/deb-neutron-fwaas
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-fwaas?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-neutron-fwaas -b debian/newton
 Homepage: https://github.com/openstack/neutron-fwaas
 
 Package: python-neutron-fwaas

## neutron-fwaas 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 eventlet!=0.18.3,>=0.18.2 # MIT
 httplib2>=0.7.5 # MIT
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT

=== debian/changelog ===
neutron-fwaas (1:9.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:45:11 +0100

neutron-fwaas (1:9.0.0-2) unstable; urgency=medium

  * neutron-fwaas-l3-agent now runtime depends on neutron-l3-agent, to allow a
    correct upgrade path.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2016 20:18:56 +0100

neutron-fwaas (1:9.0.0-1) unstable; urgency=medium

  * New upstrem release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:15:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 52~),
@@ -19,8 +19,8 @@
                      python-httplib2,
                      python-mock (>= 2.0),
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
-                     python-neutron (>= 2:9.0.0~b3),
+                     python-netaddr (>= 0.7.13),
+                     python-neutron (>= 2:9.0.0~rc1),
                      python-neutron-lib (>= 0.4.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
@@ -56,8 +56,8 @@
          python-eventlet (>= 0.18.4),
          python-httplib2,
          python-mysqldb,
-         python-netaddr (>= 0.7.12),
-         python-neutron (>= 2:9.0.0~b3),
+         python-netaddr (>= 0.7.13),
+         python-neutron (>= 2:9.0.0~rc1),
          python-neutron-lib (>= 0.4.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.db (>= 4.10.0),
@@ -102,8 +102,8 @@
 
 Package: neutron-fwaas-l3-agent
 Architecture: all
-Conflicts: neutron-l3-agent,
 Depends: neutron-fwaas-common (= ${source:Version}),
+         neutron-l3-agent,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-fwaas.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

override_dh_install:
	mkdir -p $(CURDIR)/debian/neutron-fwaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/fwaas_driver.ini \
		--wrap-width 140 \
		--namespace firewall.agent
	# Enable the plugin by default
	pkgos-fix-config-default $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/fwaas_driver.ini fwaas driver neutron_fwaas.services.firewall.drivers.linux.iptables_fwaas.IptablesFwaasDriver
	pkgos-fix-config-default $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/fwaas_driver.ini fwaas enabled true

	dh_install -O--buildsystem=python_distutils --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'neutron_fwaas\.tests\.unit\.(?!.*services\.firewall\.plugins\.cisco\.test_cisco_fwaas_plugin\.TestCiscoFirewallPlugin\.test_update_csr_firewall.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## neutron-fwaas 9.0.1

=== debian/changelog ===
neutron-fwaas (1:9.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:33:17 -0400

neutron-fwaas (1:9.0.0-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release for OpenStack Newton.
  * d/control: Align python-neutron BD with Newton final release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 15:52:15 -0400

neutron-fwaas (1:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:51:38 -0400

neutron-fwaas (1:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 11:33:29 +0100

neutron-fwaas (1:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant]
  * d/control: Add python-neutron to Depends.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 02 Sep 2016 08:19:40 -0400

neutron-fwaas (1:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 14:34:22 -0400

neutron-fwaas (1:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/rules: Drop usr/bin/neutron-l3-agent from install as it clashes with
    the agent provide by the neutron-l3-agent package.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 17:05:12 -0400

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0),
                     python-neutron-lib (>= 0.4.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.6.2),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: http://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Depends: alembic (>= 0.8.4),
         python-eventlet (>= 0.18.2),
         python-httplib2 (>= 0.7.5),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 2:9.0.0~rc1),
         python-neutron-lib (>= 0.4.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Replaces: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Firewall-as-a-Service driver for Neutron.

## neutron-fwaas 9.0.2

=== debian/changelog ===
neutron-fwaas (1:9.0.2-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New stable point release for OpenStack Newton (LP: #1736150).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 10:12:27 -0500

neutron-fwaas (1:9.0.1-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 11 May 2017 23:09:43 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	# NOTE: scrub usr/etc and usr/bin folder from install.
	rm -rf debian/python-neutron-fwaas/usr/etc debian/python-neutron-fwaas/usr/bin
	dh_install

override_dh_fixperms:
	find debian/python-neutron-fwaas -name __init__.py -exec chmod a-x {} \;
	dh_fixperms

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit neutron_fwaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	rm -rf .testrepository
	dh_auto_clean

## neutron-fwaas 10.0.0

=== debian/changelog ===
neutron-fwaas (1:10.0.0-0ubuntu2) zesty; urgency=medium

  * d/p/gate_hook-stop-including-localrc.patch: Cherry-pick patch from
    stable/ocata to fix tempest failure (LP: #1667736).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Mar 2017 15:22:58 -0400

neutron-fwaas (1:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 10:19:07 -0500

neutron-fwaas (1:10.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream release candidate for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 08:47:33 -0500

neutron-fwaas (1:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 09:00:23 -0500

neutron-fwaas (1:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 07:58:05 -0500

neutron-fwaas (1:10.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/rules: Set PBR_VERSION to correct distro version for
    package build. 

  [ Corey Bryant ]
  * New upstream milestone release for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Use ostestr for unit test execution.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Dec 2016 07:50:15 -0500

neutron-fwaas (1:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone release for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 16 Nov 2016 16:31:02 -0500

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mock (>= 2.0),
                     python-pymysql (>= 0.7.6),
                     python-netaddr (>= 0.7.13),
                     python-neutron-lib (>= 1.1.0),
                     python-neutron (>= 2:10.0.0~b1),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pyroute2 (>= 0.4.12),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: http://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-eventlet (>= 0.18.2),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 1.0.0),
         python-neutron (>= 2:10.0.0~b1),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pyroute2 (>= 0.4.12),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends}
Breaks: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Replaces: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Firewall-as-a-Service driver for Neutron.

## neutron-fwaas 10.0.0%7eb2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.0.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron
